Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.tools.shell
[Groovy] Class CommandSupport

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport

All Implemented Interfaces:
  Command

    abstract class CommandSupport

Support for Command instances.

Authors:
  Jason Dillon

Version:
  \$Id\$

Field Summary
`protected static java.lang.String` | `NEWLINE`
`protected IO` | `io` The I/O container for the command to spit stuff out.
`protected Logger` | `log` Instance logger for the command, initialized late to include the command name.
`protected MessageSource` | `messages` i18n message source for the command.
`protected CommandRegistry` | `registry` Provides the command instance with the registry, for aliasing support.
`protected Shell` | `shell` The owning shell.

Property Summary
`java.util.List` | `aliases` Standard aliases for the command.
`boolean` | `hidden` Flag to indicate if the command should be hidden or not.
`java.lang.String` | `name` The name of the command.
`java.lang.String` | `shortcut` The shortcut switch

Constructor Summary
`protected CommandSupport(Shell shell, java.lang.String name, java.lang.String shortcut)`

Method Summary
`protected void` | `alias(java.lang.String name, java.lang.String shortcut)`
`protected void` | `assertNoArguments(java.util.List args)`
`protected java.util.List` | `createCompletors()` Override to provide custom completion semantics for the command.
`protected void` | `fail(java.lang.String msg)`
`protected void` | `fail(java.lang.String msg, java.lang.Throwable cause)`
`protected Binding` | `getBinding()`
`protected java.util.List` | `getBuffer()`
`protected BufferManager` | `getBuffers()`
`protected GroovyClassLoader` | `getClassLoader()`
`jline.Completor` | `getCompletor()` Setup the completor for the command.
`java.lang.String` | `getDescription()`
`java.lang.String` | `getHelp()`
`protected jline.History` | `getHistory()`
`protected java.util.List` | `getImports()`
`java.lang.String` | `getUsage()`
`protected java.util.Map` | `getVariables()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### NEWLINE

    protected static final java.lang.String NEWLINE

### io

    protected final IO io

  The I/O container for the command to spit stuff out.

### log

    protected final Logger log

  Instance logger for the command, initialized late to include the command name.

### messages

    protected final MessageSource messages

  i18n message source for the command.

### registry

    protected CommandRegistry registry

  Provides the command instance with the registry, for aliasing support.

### shell

    protected final Shell shell

  The owning shell.

Property Detail

### aliases

    final java.util.List aliases

  Standard aliases for the command.

### hidden

    boolean hidden

  Flag to indicate if the command should be hidden or not.

### name

    final java.lang.String name

  The name of the command.

### shortcut

    final java.lang.String shortcut

  The shortcut switch

Constructor Detail

### CommandSupport

    protected CommandSupport(Shell shell, java.lang.String name, java.lang.String shortcut)

Method Detail

### alias

    protected void alias(java.lang.String name, java.lang.String shortcut)

### assertNoArguments

    protected void assertNoArguments(java.util.List args)

### createCompletors

    protected java.util.List createCompletors()

  Override to provide custom completion semantics for the command.

### fail

    protected void fail(java.lang.String msg)

### fail

    protected void fail(java.lang.String msg, java.lang.Throwable cause)

### getBinding

    protected Binding getBinding()

### getBuffer

    protected java.util.List getBuffer()

### getBuffers

    protected BufferManager getBuffers()

### getClassLoader

    protected GroovyClassLoader getClassLoader()

### getCompletor

    jline.Completor getCompletor()

  Setup the completor for the command.

### getDescription

    java.lang.String getDescription()

### getHelp

    java.lang.String getHelp()

### getHistory

    protected jline.History getHistory()

### getImports

    protected java.util.List getImports()

### getUsage

    java.lang.String getUsage()

### getVariables

    protected java.util.Map getVariables()

Groovy Documentation